## golang-go.pedge-lion 0.0~git20171203.2a81062

=== Makefile ===
all: test

deps:
	go get -d -v ./...

updatedeps:
	go get -d -v -u -f ./...

testdeps:
	go get -d -v -t ./...

updatetestdeps:
	go get -d -v -t -u -f ./...

build: deps
	go build ./...

lint: testdeps
	go get -v github.com/golang/lint/golint
	for file in $$(find . -name '*.go' | grep -v '\.pb\.go' | grep -v 'constants.go' | grep -v 'thriftlion.go' | grep -v 'testing/' | grep -v GoUnusedProtection__.go); do \
		golint $$file | grep -v underscore; \
		if [ -n "$$(golint $$file | grep -v underscore)" ]; then \
			exit 1; \
		fi; \
	done

vet: testdeps
	go vet ./...

errcheck: testdeps
	go get -v github.com/kisielk/errcheck
	errcheck ./...

pretest: lint vet errcheck

prototest: testdeps
	go test -v ./proto/testing

thrifttest: testdeps
	go test -v ./thrift/testing

test: prototest thrifttest

clean:
	go clean -i ./...

proto:
	go get -v go.pedge.io/protoeasy/cmd/protoeasy
	go get -v go.pedge.io/pkg/cmd/strip-package-comments
	protoeasy --go --go-import-path go.pedge.io/lion .
	find . -name *\.pb\*\.go | xargs strip-package-comments

thrift:
	rm -rf gen-go
	thrift --strict --gen go thrift/thriftlion.thrift
	mv gen-go/thriftlion/* thrift/
	rm -rf gen-go
	thrift --strict --gen go thrift/testing/testing.thrift
	mv gen-go/thriftliontesting/* thrift/testing/
	rm -rf gen-go

.PHONY: \
	all \
	deps \
	updatedeps \
	testdeps \
	updatetestdeps \
	build \
	lint \
	vet \
	errcheck \
	pretest \
	prototest \
	thrifttest \
	test \
	clean \
	proto \
	thrift

=== debian/changelog ===
golang-go.pedge-lion (0.0~git20171203.2a81062-5) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:12:07 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-4) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:43:39 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-3) unstable; urgency=medium

  * Don't build tail.
  * Skip tests.

 -- Alexandre Viau <aviau@debian.org>  Sat, 30 Dec 2017 18:36:23 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-2) unstable; urgency=medium

  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 22:28:29 -0500

golang-go.pedge-lion (0.0~git20171203.2a81062-1) unstable; urgency=medium

  * Initial release (Closes: #885272)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:13:47 -0500

=== debian/control ===
Source: golang-go.pedge-lion
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-gin-gonic-gin-dev,
               golang-github-go-kit-kit-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-stretchr-testify-dev,
               golang-google-grpc-dev,
               golang-go.pedge-env-dev,
               golang-goprotobuf-dev
Standards-Version: 4.1.1
Homepage: https://github.com/peter-edge/lion-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.pedge-lion
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.pedge-lion.git
XS-Go-Import-Path: go.pedge.io/lion
Testsuite: autopkgtest-pkg-go

Package: golang-go.pedge-lion-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-fatih-color-dev,
         golang-github-gin-gonic-gin-dev,
         golang-github-go-kit-kit-dev,
         golang-github-mattn-go-isatty-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-stretchr-testify-dev,
         golang-google-grpc-dev,
         golang-go.pedge-env-dev,
         golang-goprotobuf-dev
Description: structured logging with Protocol Buffers
 Package lion provides structured logging, configurable to
 use serialization protocols such as Protocol Buffers.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example thrift tail

override_dh_auto_test:
	# we need tail

%:
	dh $@ --buildsystem=golang --with=golang
